---
title: text
type: condition
status: deprecated
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/condition/text.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::warning DEPRECATED
This component is deprecated and will be removed in the next major version release. Please consider moving onto [alternative components](#alternatives).
:::


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
text:
  operator: equals_cs
  arg: ""
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
text:
  operator: equals_cs
  arg: ""
  part: 0
```

</TabItem>
</Tabs>

## Fields

### `operator`

An [operator](#operators) to apply.


Type: `string`  
Default: `"equals_cs"`  

### `arg`

An argument to check against. For some operators this field not be required.


Type: `string`  
Default: `""`  

### `part`

The index of a message within a batch to test the condition against. This
field is only applicable when batching messages
[at the input level](/docs/configuration/batching).

Indexes can be negative, and if so the part will be selected from the end
counting backwards starting from -1.


Type: `number`  
Default: `0`  

## Alternatives

Consider using the [bloblang](/docs/components/conditions/bloblang) condition
instead as it offers a wide range of text processing options. For example, the
following text condition:

``` yaml
check_field:
  path: foo.bar
  condition:
    text:
      operator: enum
      arg:
      - foo
      - bar
```

Can instead be expressed with:

``` yaml
bloblang: '["foo","bar"].contains(foo.bar)'
```

